---
title: Collector Plugins
---

import DocCardList from '@theme/DocCardList';

Collectors are core [`HopprPlugin` subclasses](https://gitlab.com/hoppr/hoppr/-/blob/dev/hoppr/base_plugins/collector.py#L2)
used to retrieve artifacts from wherever they are maintained (e.g. a URL, or a specialized repository), and place
them in a directory structure.  Most Collector plugins are thin wrappers for various package managers, check out the library
of current Hoppr core collectors below:

<DocCardList />